[pycodestyle]
max-line-length = 200

[metadata]
description-file = README.md

[mypy]
warn_redundant_casts = True
# TODO: Enable back once false positives are fixed.
#       See: https://github.com/python/mypy/issues/4412
#warn_unused_ignores = True
warn_unused_configs = True
disallow_untyped_defs = True

# TODO: Remove once this is fixed: https://github.com/python/mypy/issues/4300
[mypy-d3m.container.list]
ignore_errors = True

# TODO: Remove once this is fixed: https://github.com/python/mypy/issues/4300
[mypy-d3m.metadata.hyperparams]
ignore_errors = True

# TODO: Remove once this is fixed: https://github.com/python/mypy/pull/4384#issuecomment-354033177
[mypy-d3m.primitive_interfaces.distance]
ignore_errors = True

[mypy-common_primitives.slacker.*]
ignore_errors = True
